Deploy
4 endpoints
GET /deploy
List Deploy
List deployments visible to the authenticated user.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
active_only | query | No | — |
authorization | header | No | — |
Response:
`any`POST /deploy
Deploy
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
authorization | header | No | — |
Request body:
{
license_id: `string`
deployment_name: `string`
subdomain: `string`
base_domain?: `string`
target_org?: `string` | `null`
private?: `boolean`
}Response:
`any`POST /deploy/\{deployment_id\}/stop
Stop Deployment
Stop a running deployment.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
deployment_id | path | Yes | — |
authorization | header | No | — |
Response:
`any`DELETE /deploy/\{deployment_id\}
Destroy Deployment
Destroy a stopped deployment — deletes GitHub repo and soft-deletes the record.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
deployment_id | path | Yes | — |
authorization | header | No | — |
Response:
`any`Last updated on